require 'aws-sdk-autoscaling'
require 'aws-sdk-ec2'
require 'aws-sdk-elasticloadbalancingv2'

require 'asg/rebooter/version'
require 'asg/rebooter/configuration/auto_scaling_group'
require 'asg/rebooter/configuration/target_group'
require 'asg/rebooter/instance_rebooter'
require 'asg/rebooter/wrappers/auto_scaling_group'
require 'asg/rebooter/wrappers/instance'
require 'asg/rebooter/wrappers/target_group'

module Asg
  module Rebooter
    class Error < StandardError; end

    class Work
      def execute
        puts 'Doing all the hard work for you'
      end
    end
  end
end
